const express = require("@runkit/runkit/express-endpoint/1.0.0");
const moment = require("moment");
const app = express(exports);

app.get("/heart-rate", (req, res) => res.send(Math.floor(Math.random() * 240).toString()));

app.get("/rbc", (req, res) => {
    let schedule = {
        "schedule": [
            {
                "day": "06262018",
                "events": [
                    {
                        "date": moment("2018-06-26 14:00").toJSON(),
                        "name": "customer registration"
                    }
                ]
            },
            {
                "day": "06272018",
                "events": [
                    {
                        "date": moment("2018-06-27 18:00").toJSON(),
                        "name": "welcome dinner"
                    }
                ]
            },
            {
                "day": "06282018",
                "events": [
                    {
                        "date": moment("2018-06-28 09:00").toJSON(),
                        "name": "keynote - magic johnson"
                    },
                    {
                        "date": moment("2018-06-28 15:30").toJSON(),
                        "name": "cocktail hour"
                    },
                    {
                        "date": moment("2018-06-28 18:30").toJSON(),
                        "name": "customer appreciation night"
                    }
                ]
            },
            {
                "day": "06292018",
                "events": [
                    {
                        "date": moment("2018-06-29 13:00").toJSON(),
                        "name": "humor as a therapeutic tool\nfor physical and mental health"
                    },
                    {
                        "date": moment("2018-06-29 18:00").toJSON(),
                        "name": "dinner"
                    },
                    {
                        "date": moment("2018-06-29 20:00").toJSON(),
                        "name": "kelly clarkson concert"
                    }
                ]
            },
            {
                "day": "06302018",
                "events": [
                    {
                        "date": moment("2018-06-30 09:00").toJSON(),
                        "name": "closing - mel robbins"
                    },
                    {
                        "date": moment("2018-06-30 18:00").toJSON(),
                        "name": "dinner"
                    }
                ]
            }
        ]
    };
    
    res.json(schedule);
});;
